diff --git a/game/client/src/main/java/net/minecraft/client/Minecraft.java b/game/client/src/main/java/net/minecraft/client/Minecraft.java
index 47e0448d2..c29583770 100644
--- a/game/client/src/main/java/net/minecraft/client/Minecraft.java
+++ b/game/client/src/main/java/net/minecraft/client/Minecraft.java
@@ -102,6 +102,8 @@ import net.minecraft.client.sound.SoundRepository;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
+import org.joml.primitives.AABBd;
+import org.joml.primitives.AABBdc;
 import org.lwjgl.LWJGLException;
 import org.lwjgl.glfw.GLFW;
 import org.lwjgl.input.Keyboard;
@@ -185,7 +187,6 @@ import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.client.util.helper.ScreenShot;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.helper.Time;
-import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.util.phys.HitResult;
 import net.minecraft.core.world.Dimension;
 import net.minecraft.core.world.PortalHandler;
@@ -211,8 +212,7 @@ import org.useless.dragonfly.data.entity.mojang.EntityGeometryMojangData;
 import static net.minecraft.core.Global.CURRENT_SAVE_VERSION;
 
 public class Minecraft
-    implements MinecraftAccessor
-{
+    implements MinecraftAccessor {
     public static Logger LOGGER = LogUtils.getLogger();
     public static final String VERSION = Global.VERSION;
     public static final boolean isMultiplayerDisabled = false;
@@ -306,26 +306,25 @@ public class Minecraft
      * Keep this as the only constructor in this class for now,
      * otherwise JVM class verification will fail and the game will crash when the fabric loader tries to run the game.
      */
-    public Minecraft(final @NotNull File mcDataDir, final GameWindow gameWindow, final boolean test)
-    {
+    public Minecraft(final @NotNull File mcDataDir, final GameWindow gameWindow, final boolean test) {
         Global.accessor = this;
-        hasCrashed = false;
-        timer = new Timer(Global.TICKS_PER_SECOND);
-        session = null;
-        hideQuitButton = false;
-        isGamePaused = false;
-        currentScreen = null;
-        ticksRan = 0;
-        skipRenderWorld = false;
-        objectMouseOver = null;
-        running = true;
-        lineDebug = "";
-        isTakingScreenshot = false;
-        inGameHasFocus = false;
-        mouseTicksRan = 0;
-        isRaining = false;
-        systemTime = System.currentTimeMillis();
-        joinPlayerCounter = 0;
+        this.hasCrashed = false;
+        this.timer = new Timer(Global.TICKS_PER_SECOND);
+        this.session = null;
+        this.hideQuitButton = false;
+        this.isGamePaused = false;
+        this.currentScreen = null;
+        this.ticksRan = 0;
+        this.skipRenderWorld = false;
+        this.objectMouseOver = null;
+        this.running = true;
+        this.lineDebug = "";
+        this.isTakingScreenshot = false;
+        this.inGameHasFocus = false;
+        this.mouseTicksRan = 0;
+        this.isRaining = false;
+        this.systemTime = System.currentTimeMillis();
+        this.joinPlayerCounter = 0;
         INSTANCE = this;
 
         this.mcDataDir = mcDataDir;
@@ -334,16 +333,16 @@ public class Minecraft
         this.textureManager = new TextureManager(this, this.texturePackList, this.gameSettings);
         this.font = new FontRendererDefault();
 
-        if(test) return;
+        if (test) return;
 
         this.gameWindow = gameWindow;
         this.resolution = new ScaledResolution(this.gameWindow);
 
         LoggedPrintStream.wrapStreams();
 
-        loadingScreen = new LoadingScreenRenderer(this);
-        guiToasts = new GuiElementToastsHud(this);
-        sndManager = new SoundEngine();
+        this.loadingScreen = new LoadingScreenRenderer(this);
+        this.guiToasts = new GuiElementToastsHud(this);
+        this.sndManager = new SoundEngine();
 
         try {
             CertificateHelper.installCertificates();
@@ -362,8 +361,8 @@ public class Minecraft
                 while (Minecraft.this.running) {
                     try {
                         Thread.sleep(2147483647L);
+                    } catch (final InterruptedException ignored) {
                     }
-                    catch (final InterruptedException ignored) {}
                 }
             }
         };
@@ -387,69 +386,68 @@ public class Minecraft
         return false;
     }
 
-	public void onMinecraftCrash(UnexpectedThrowable throwable) {
-		if(!gameStarted) {
-			running = false;
+    public void onMinecraftCrash(UnexpectedThrowable throwable) {
+        if (!this.gameStarted) {
+            this.running = false;
 
-			LOGGER.error("An exception has occurred while trying to start the game!", throwable.exception);
+            LOGGER.error("An exception has occurred while trying to start the game!", throwable.exception);
 
-			gameWindow.displayCrashReport(throwable, 1);
-			hasCrashed = true;
-			shutdownMinecraftApplet();
-			return;
-		}
+            this.gameWindow.displayCrashReport(throwable, 1);
+            this.hasCrashed = true;
+            shutdownMinecraftApplet();
+            return;
+        }
 
-		boolean disableCrashHandler = gameSettings.disableCrashHandler.value;
-		if(disableCrashHandler) {
-			running = false;
+        boolean disableCrashHandler = this.gameSettings.disableCrashHandler.value;
+        if (disableCrashHandler) {
+            this.running = false;
 
             LOGGER.error("An exception has occurred while trying to start the game!", throwable.exception);
 
-			gameWindow.displayCrashReport(throwable, 1);
-			hasCrashed = true;
-			shutdownMinecraftApplet();
-			return;
-		}
+            this.gameWindow.displayCrashReport(throwable, 1);
+            this.hasCrashed = true;
+            shutdownMinecraftApplet();
+            return;
+        }
 
-		if(hasCrashed) {
-			running = false;
+        if (this.hasCrashed) {
+            this.running = false;
 
             LOGGER.error("An exception has occurred while trying to start the game!", throwable.exception);
 
-			gameWindow.displayCrashReport(throwable, 2);
-			shutdownMinecraftApplet();
-			return;
-		}
-		
-		Debug.reset();
+            this.gameWindow.displayCrashReport(throwable, 2);
+            shutdownMinecraftApplet();
+            return;
+        }
+
+        Debug.reset();
         LOGGER.error("Minecraft has crashed!", throwable.exception);
-		hasCrashed = true;
-		lastCrash = throwable;
-		
-		try {
-            if (!gameStarted) {
-				PopupScreen error = ExceptionPopupElement.createStartupError(throwable.exception, this);
-				displayScreen(error);
-				return;
-			}
-			if(throwable.exception instanceof RuntimeException) {
-				changeWorld(null);
-				ScreenMainMenu screenMainMenu = new ScreenMainMenu();
-				displayScreen(screenMainMenu);
-				PopupScreen error = ExceptionPopupElement.create(screenMainMenu, throwable.exception, this);
-				displayScreen(error);
-			}else {
-				changeWorld(null);
-				PopupScreen error = ExceptionPopupElement.createFatal(throwable.exception, this);
-				displayScreen(error);
-			}
-		}catch (Throwable e) {
-			onMinecraftCrash(new UnexpectedThrowable("Trying to display crash handler", e));
-		}
-	}
-	
-    public void setServer(String serverName, int serverPort)
-    {
+        this.hasCrashed = true;
+        this.lastCrash = throwable;
+
+        try {
+            if (!this.gameStarted) {
+                PopupScreen error = ExceptionPopupElement.createStartupError(throwable.exception, this);
+                displayScreen(error);
+                return;
+            }
+            if (throwable.exception instanceof RuntimeException) {
+                changeWorld(null);
+                ScreenMainMenu screenMainMenu = new ScreenMainMenu();
+                displayScreen(screenMainMenu);
+                PopupScreen error = ExceptionPopupElement.create(screenMainMenu, throwable.exception, this);
+                displayScreen(error);
+            } else {
+                changeWorld(null);
+                PopupScreen error = ExceptionPopupElement.createFatal(throwable.exception, this);
+                displayScreen(error);
+            }
+        } catch (Throwable e) {
+            onMinecraftCrash(new UnexpectedThrowable("Trying to display crash handler", e));
+        }
+    }
+
+    public void setServer(String serverName, int serverPort) {
         this.serverName = serverName;
         this.serverPort = serverPort;
     }
@@ -458,7 +456,7 @@ public class Minecraft
         LOGGER.info("LWJGL version = {}", org.lwjgl.Sys.getVersion());
         if (Integer.parseInt(org.lwjgl.Sys.getVersion().substring(0, 1)) < 3) {
             JOptionPane.showMessageDialog(null,
-                new Object[] {
+                new Object[]{
                     "Better than Adventure! requires LWJGL 3 to run.",
                     "If you're using MultiMC or Prism Launcher to run BTA!,",
                     "please review the installation guide at",
@@ -482,9 +480,8 @@ public class Minecraft
             System.exit(1);
         }
     }
-    
-    public void startGame() throws LWJGLException
-    {
+
+    public void startGame() throws LWJGLException {
         // Initialize LogMessageReceiver to capture output
         LogMessageReceiver.init();
 
@@ -501,56 +498,56 @@ public class Minecraft
 
         this.gameSettings.init();
 
-        UUIDHelper.urlUUID = gameSettings.uuidServer.value;
+        UUIDHelper.urlUUID = this.gameSettings.uuidServer.value;
 
         LOGGER.info("Java Version: {}", System.getProperty("java.version"));
 
-		printWrongJavaVersionInfo();
+        printWrongJavaVersionInfo();
 
-		gameWindow.init(this, overrideWidth != null ? overrideWidth : gameSettings.windowWidth.value, overrideHeight != null ? overrideHeight : gameSettings.windowHeight.value);
+        this.gameWindow.init(this, this.overrideWidth != null ? this.overrideWidth : this.gameSettings.windowWidth.value, this.overrideHeight != null ? this.overrideHeight : this.gameSettings.windowHeight.value);
 
         final @Nullable String vendorString = GL11.glGetString(GL_VENDOR);
         if (vendorString != null) {
             GPU_VENDOR = EnumGPUVendor.getVendorFromString(vendorString);
             if (GPU_VENDOR == EnumGPUVendor.INTEL) {
                 // Intel cannot handle the sheer complexity of drawing the lightmap texture upon a quad
-                gameSettings.lightmapStyle.set(LightmapStyle.DISABLED);
+                this.gameSettings.lightmapStyle.set(LightmapStyle.DISABLED);
             }
         }
 
-        LOGGER.info("Resolution: {} x {}", gameWindow.getWidthPixels(), gameWindow.getHeightPixels());
+        LOGGER.info("Resolution: {} x {}", this.gameWindow.getWidthPixels(), this.gameWindow.getHeightPixels());
 
-        resolution.setScale(gameSettings.guiScale.value);
+        this.resolution.setScale(this.gameSettings.guiScale.value);
 
-        SaveFormatBase handlerBase = new SaveFormat19134(new File(mcDataDir, "saves"));
+        SaveFormatBase handlerBase = new SaveFormat19134(new File(this.mcDataDir, "saves"));
         handlerBase.factory = SaveHandlerClientSP::new;
-		saveFormat = handlerBase;
-		I18n.initialize(gameSettings.language.value);
+        this.saveFormat = handlerBase;
+        I18n.initialize(this.gameSettings.language.value);
 
-		if (!gameSettings.startInFullscreen.value) {
-			gameSettings.fullscreen.value = false;
-		}
+        if (!this.gameSettings.startInFullscreen.value) {
+            this.gameSettings.fullscreen.value = false;
+        }
 
-        resolution.setScale(gameSettings.guiScale.value);
+        this.resolution.setScale(this.gameSettings.guiScale.value);
 
         OpenGLHelper.testCapabilities(this);
-        
-        if(gameSettings.enableMultiDrawRendering.value) {
-            if(OpenGLHelper.gl20) {
-            	LOGGER.info("Using MultiDraw terrain renderer");
-            	terrainRenderer = new TerrainRendererMultiDraw(this);
-            }else {
-            	LOGGER.info("MultiDraw not supported, using legacy terrain renderer");
-            	terrainRenderer = new TerrainRendererLegacy(this);
-            }
-        }else {
-        	LOGGER.info("MultiDraw disabled, using legacy terrain renderer");
-        	terrainRenderer = new TerrainRendererLegacy(this);
-        }
-        
-        if(Shaders.enableShaders) {
+
+        if (this.gameSettings.enableMultiDrawRendering.value) {
+            if (OpenGLHelper.gl20) {
+                LOGGER.info("Using MultiDraw terrain renderer");
+                this.terrainRenderer = new TerrainRendererMultiDraw(this);
+            } else {
+                LOGGER.info("MultiDraw not supported, using legacy terrain renderer");
+                this.terrainRenderer = new TerrainRendererLegacy(this);
+            }
+        } else {
+            LOGGER.info("MultiDraw disabled, using legacy terrain renderer");
+            this.terrainRenderer = new TerrainRendererLegacy(this);
+        }
+
+        if (Shaders.enableShaders) {
             setRenderer(new ShadersRenderer(this));
-        }else {
+        } else {
             setRenderer(new FallbackRenderer(this));
         }
 
@@ -564,29 +561,29 @@ public class Minecraft
         // Do not put stuff that takes a while to load before this,
         // otherwise the loading time will happen while the window is black
         loadScreen();
-        
+
         // Initialize overworld biome map
         STARTUP_TIKE_KEEPER.start("Biome Provider");
         BiomeProviderOverworld.init();
         STARTUP_TIKE_KEEPER.end("Biome Provider");
 
-        worldRenderer = new WorldRenderer(this);
+        this.worldRenderer = new WorldRenderer(this);
 
         // I hate initialization issues so much
         BlockModelDispatcher.getInstance();
         ItemModelDispatcher.getInstance();
 
-        loadScreen();	// Update loading screen so it doesn't say no response
+        loadScreen();    // Update loading screen so it doesn't say no response
 
         LOGGER.info("Initializing input");
         try {
             InputHandler.init(this);
 
-            this.controllerInput = InputHandler.getController(gameSettings.selectedController.value);
-        }catch (Exception e) {
+            this.controllerInput = InputHandler.getController(this.gameSettings.selectedController.value);
+        } catch (Exception e) {
             LOGGER.error("Input init error!", e);
         }
-        mouseInput.setRawInput(gameSettings.rawMouseInput.value);
+        this.mouseInput.setRawInput(this.gameSettings.rawMouseInput.value);
         LOGGER.info("Input done!");
 
         LOGGER.info("Setting up OpenGL values...");
@@ -604,36 +601,34 @@ public class Minecraft
         glLoadIdentity();
         glMatrixMode(GL11.GL_MODELVIEW);
         OpenGLHelper.checkError("startup");
-        sndManager.init(gameSettings);
-        
-        loadScreen();	// Update loading screen so it doesn't say no response
-        
+        this.sndManager.init(this.gameSettings);
+
+        loadScreen();    // Update loading screen so it doesn't say no response
+
         Colorizers.init(this);
 
-        textureManager.refreshTextures(new ArrayList<>());
+        this.textureManager.refreshTextures(new ArrayList<>());
 
         OptionsPages.init();
 
-        loadScreen();	// Update loading screen so it doesn't say no response
+        loadScreen();    // Update loading screen so it doesn't say no response
 
         LOGGER.info("Initializing Renderer...");
-        
+
         TextureRegistry.blockAtlas.bind();
-        renderGlobal = new RenderGlobal(this, textureManager);
-        glViewport(0, 0, gameWindow.getWidthPixels(), gameWindow.getHeightPixels());
-        particleEngine = new ParticleEngine(currentWorld);
-        try
-        {
+        this.renderGlobal = new RenderGlobal(this, this.textureManager);
+        glViewport(0, 0, this.gameWindow.getWidthPixels(), this.gameWindow.getHeightPixels());
+        this.particleEngine = new ParticleEngine(this.currentWorld);
+        try {
             LOGGER.info("Starting Resource Download Thread...");
-            downloadResourcesThread = new ThreadDownloadResources(mcDataDir, this);
-            downloadResourcesThread.start();
-        }
-        catch(Exception e) {
+            this.downloadResourcesThread = new ThreadDownloadResources(this.mcDataDir, this);
+            this.downloadResourcesThread.start();
+        } catch (Exception e) {
             LOGGER.error("Failed to start Resource Download Thread!", e);
         }
-        
+
         OpenGLHelper.checkError("post startup");
-        hudIngame = new HudIngame(this);
+        this.hudIngame = new HudIngame(this);
 
         new Registries();
 
@@ -652,72 +647,64 @@ public class Minecraft
         int namespaces = Registries.RECIPES.size();
         int itemGroups = Registries.ITEM_GROUPS.size();
         LOGGER.info(String.format("%d item groups.", itemGroups));
-        LOGGER.info(String.format("%d recipes in %d groups in %d namespaces.",recipes,groups,namespaces));
+        LOGGER.info(String.format("%d recipes in %d groups in %d namespaces.", recipes, groups, namespaces));
 
         StatList.init();
-        statsCounter = new StatsCounter(session, mcDataDir);
+        this.statsCounter = new StatsCounter(this.session, this.mcDataDir);
         Achievements.OPEN_INVENTORY.setDescriptionFormatter(s -> {
-            if(!gameSettings.keyInventory.isBound()) {
+            if (!this.gameSettings.keyInventory.isBound()) {
                 return "Set your inventory keybind in the controls menu!";
             }
-            return String.format(s, gameSettings.keyInventory.getKeyName());
+            return String.format(s, this.gameSettings.keyInventory.getKeyName());
         });
         Achievements.OPEN_GUIDEBOOK.setDescriptionFormatter(s -> {
-            if(!gameSettings.keyGuidebook.isBound()) {
+            if (!this.gameSettings.keyGuidebook.isBound()) {
                 return "Set your guidebook keybind in the controls menu!";
             }
-            return String.format(s, gameSettings.keyGuidebook.getKeyName());
+            return String.format(s, this.gameSettings.keyGuidebook.getKeyName());
         });
 
-        loadScreen();	// Update loading screen so it doesn't say no response
-        
+        loadScreen();    // Update loading screen so it doesn't say no response
+
         // Enable Discord Rich Presence
-        if (gameSettings.discordRichPresence.value)
-        {
-        	// This thing takes forever to load, so it has been moved down here,
-        	// so that the loading time is spent on the loading screen and not a black screen
-            rpcThread = new RichPresenceHandlerThread(this);
-            rpcThread.setName("Discord RPC Thread");
-            rpcThread.start();
+        if (this.gameSettings.discordRichPresence.value) {
+            // This thing takes forever to load, so it has been moved down here,
+            // so that the loading time is spent on the loading screen and not a black screen
+            this.rpcThread = new RichPresenceHandlerThread(this);
+            this.rpcThread.setName("Discord RPC Thread");
+            this.rpcThread.start();
         }
 
         // Game has started - free any pooled objects that were created during startup
         ObjectPool.freeAllPools();
 
-        gameStarted = true;
+        this.gameStarted = true;
 
         boolean hasBeta173 = true;
 
         try {
             Class.forName("a"); // Check if a.class from the beta 1.7.3 jar is present
-        } catch (Exception e){
+        } catch (Exception e) {
             hasBeta173 = false;
         }
 
         if (!hasBeta173) {
             displayScreen(new ScreenMissingMinecraft());
-        } else if (System.getProperty("sun.arch.data.model").equals("32"))
-        {
+        } else if (System.getProperty("sun.arch.data.model").equals("32")) {
             displayScreen(new ScreenBadJavaArch());
-        }
-        else if(serverName != null)
-        {
-            displayScreen(new ScreenConnecting(this, serverName, serverPort));
-        }
-        else if (worldPresetName != null && worldPresetSeed != null)
-        {
+        } else if (this.serverName != null) {
+            displayScreen(new ScreenConnecting(this, this.serverName, this.serverPort));
+        } else if (this.worldPresetName != null && this.worldPresetSeed != null) {
             ScreenSelectWorld screenSelectWorld = new ScreenSelectWorld(null);
             displayScreen(screenSelectWorld);
-            screenSelectWorld.deletePresetWorld(worldPresetName);
+            screenSelectWorld.deletePresetWorld(this.worldPresetName);
             ScreenCreateWorld screen = new ScreenCreateWorld(null);
             displayScreen(screen);
-            screen.runPreset(worldPresetName, worldPresetSeed, worldPresetX, worldPresetY, worldPresetZ);
-        }
-        else
-        {
+            screen.runPreset(this.worldPresetName, this.worldPresetSeed, this.worldPresetX, this.worldPresetY, this.worldPresetZ);
+        } else {
             displayScreen(new ScreenMainMenu());
         }
-        gameWindow.updateWindowState();
+        this.gameWindow.updateWindowState();
         STARTUP_TIKE_KEEPER.end("Startup");
         LOGGER.info(STARTUP_TIKE_KEEPER.toString());
     }
@@ -753,82 +740,80 @@ public class Minecraft
         CommandManager.registerCommand(new CommandPlaySound());
         CommandManager.registerCommand(new CommandParticle());
     }
-    
+
     private void printWrongJavaVersionInfo() {
-    	String javaVersion = System.getProperty("java.version");
-    	if(getOs() != EnumOS.linux || javaVersion == null) {
-    		return;
-    	}
-    	try {
-    		int major = Integer.parseInt(javaVersion.split("\\.")[0]);
-    		if(major > 8) {
+        String javaVersion = System.getProperty("java.version");
+        if (getOs() != EnumOS.linux || javaVersion == null) {
+            return;
+        }
+        try {
+            int major = Integer.parseInt(javaVersion.split("\\.")[0]);
+            if (major > 8) {
                 LOGGER.warn("Detected a probably incompatible Java version. If the game crashes with a message similar to \n"
-    					+ "\"Inconsistency detected by ld.so: dl-lookup.c: 111: check_match: Assertion `version->filename == NULL || ! _dl_name_match_p (version->filename, map)' failed!\", \n"
-    					+ "use Java 8!");
-    		}
-    	}catch (Exception e) {
+                    + "\"Inconsistency detected by ld.so: dl-lookup.c: 111: check_match: Assertion `version->filename == NULL || ! _dl_name_match_p (version->filename, map)' failed!\", \n"
+                    + "use Java 8!");
+            }
+        } catch (Exception e) {
             LOGGER.error("Failed to retrieve Java version!", e);
             LOGGER.warn("If the game crashes with a message similar to \n"
                 + "\"Inconsistency detected by ld.so: dl-lookup.c: 111: check_match: Assertion `version->filename == NULL || ! _dl_name_match_p (version->filename, map)' failed!\", \n"
                 + "use Java 8!");
-		}
+        }
     }
 
-    private void loadScreen() throws LWJGLException
-    {
+    private void loadScreen() throws LWJGLException {
         LOGGER.info("Drawing Loading Screen...");
         glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
         glMatrixMode(GL11.GL_PROJECTION);
         glLoadIdentity();
-        glOrtho(0.0D, resolution.getExactScaledWidthScreenCoords(), resolution.getExactScaledHeightScreenCoords(), 0.0D, 1000D, 3000D);
+        glOrtho(0.0D, this.resolution.getExactScaledWidthScreenCoords(), this.resolution.getExactScaledHeightScreenCoords(), 0.0D, 1000D, 3000D);
         glMatrixMode(GL11.GL_MODELVIEW);
         glLoadIdentity();
         glTranslatef(0.0F, 0.0F, -2000F);
-        glViewport(0, 0, gameWindow.getWidthPixels(), gameWindow.getHeightPixels());
+        glViewport(0, 0, this.gameWindow.getWidthPixels(), this.gameWindow.getHeightPixels());
         glClearColor(0.0F, 0.0F, 0.0F, 0.0F);
         Tessellator tessellator = Tessellator.instance;
         glDisable(GL11.GL_LIGHTING);
         glEnable(GL11.GL_TEXTURE_2D);
         glDisable(GL11.GL_FOG);
-        
-        if(mojrand == 0)
-            textureManager.loadTexture("/assets/minecraft/textures/gui/title/majonk.png").bind();
+
+        if (this.mojrand == 0)
+            this.textureManager.loadTexture("/assets/minecraft/textures/gui/title/majonk.png").bind();
         else
-            textureManager.loadTexture("/assets/minecraft/textures/gui/title/mojang.png").bind();
-        
+            this.textureManager.loadTexture("/assets/minecraft/textures/gui/title/mojang.png").bind();
+
         tessellator.startDrawingQuads();
         tessellator.setColorOpaque_I(0xffffff);
-        tessellator.addVertexWithUV(0.0D, gameWindow.getHeightPixels(), 0.0D, 0.0D, 0.0D);
-        tessellator.addVertexWithUV(gameWindow.getWidthPixels(), gameWindow.getHeightPixels(), 0.0D, 0.0D, 0.0D);
-        tessellator.addVertexWithUV(gameWindow.getWidthPixels(), 0.0D, 0.0D, 0.0D, 0.0D);
+        tessellator.addVertexWithUV(0.0D, this.gameWindow.getHeightPixels(), 0.0D, 0.0D, 0.0D);
+        tessellator.addVertexWithUV(this.gameWindow.getWidthPixels(), this.gameWindow.getHeightPixels(), 0.0D, 0.0D, 0.0D);
+        tessellator.addVertexWithUV(this.gameWindow.getWidthPixels(), 0.0D, 0.0D, 0.0D, 0.0D);
         tessellator.addVertexWithUV(0.0D, 0.0D, 0.0D, 0.0D, 0.0D);
         tessellator.draw();
-        
+
         int width = 256;
         int height = 256;
-        
+
         glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        
-        drawMojangLogoVertices((resolution.getScaledWidthScreenCoords() - width) / 2, (resolution.getScaledHeightScreenCoords() - height) / 2, 0, 0, width, height);
-        
+
+        drawMojangLogoVertices((this.resolution.getScaledWidthScreenCoords() - width) / 2, (this.resolution.getScaledHeightScreenCoords() - height) / 2, 0, 0, width, height);
+
         glDisable(GL11.GL_LIGHTING);
         glDisable(GL11.GL_FOG);
         glEnable(GL11.GL_ALPHA_TEST);
-        glAlphaFunc(GL_GREATER,0.1F);
-        gameWindow.update();
+        glAlphaFunc(GL_GREATER, 0.1F);
+        this.gameWindow.update();
     }
 
-    public void drawMojangLogoVertices(int minX, int minY, int minU, int minV, int width, int height)
-    {
+    public void drawMojangLogoVertices(int minX, int minY, int minU, int minV, int width, int height) {
         float scaleX = 0.00390625F;
         float scaleY = 0.00390625F;
         Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.setColorOpaque_I(0xffffff);
-        tessellator.addVertexWithUV(minX + 0,       minY + height,  0.0D, (float)(minU + 0) * scaleX,       (float)(minV + height) * scaleY);
-        tessellator.addVertexWithUV(minX + width,   minY + height,  0.0D, (float)(minU + width) * scaleX,   (float)(minV + height) * scaleY);
-        tessellator.addVertexWithUV(minX + width,   minY + 0,       0.0D, (float)(minU + width) * scaleX,   (float)(minV + 0) * scaleY);
-        tessellator.addVertexWithUV(minX + 0,       minY + 0,       0.0D, (float)(minU + 0) * scaleX,       (float)(minV + 0) * scaleY);
+        tessellator.addVertexWithUV(minX, minY + height, 0.0D, (float) (minU) * scaleX, (float) (minV + height) * scaleY);
+        tessellator.addVertexWithUV(minX + width, minY + height, 0.0D, (float) (minU + width) * scaleX, (float) (minV + height) * scaleY);
+        tessellator.addVertexWithUV(minX + width, minY, 0.0D, (float) (minU + width) * scaleX, (float) (minV) * scaleY);
+        tessellator.addVertexWithUV(minX, minY, 0.0D, (float) (minU) * scaleX, (float) (minV) * scaleY);
         tessellator.draw();
     }
 
@@ -842,39 +827,32 @@ public class Minecraft
     }
 
     @Override
-    public IChunkProvider createChunkProvider(World world, IChunkLoader chunkLoader)
-    {
-        return switch (gameSettings.enableThreadedChunkProvider.value) {
+    public IChunkProvider createChunkProvider(World world, IChunkLoader chunkLoader) {
+        return switch (this.gameSettings.enableThreadedChunkProvider.value) {
             case DYNAMIC ->
                 new ChunkProviderDynamic(world, chunkLoader, world.getWorldType().createChunkGenerator(world));
 
             case THREADED ->
-                 new ChunkProviderThreadedClient(world, chunkLoader, world.getWorldType().createChunkGenerator(world));
+                new ChunkProviderThreadedClient(world, chunkLoader, world.getWorldType().createChunkGenerator(world));
 
-            default ->
-                new ChunkProviderStatic(world, chunkLoader, world.getWorldType().createChunkGenerator(world));
+            default -> new ChunkProviderStatic(world, chunkLoader, world.getWorldType().createChunkGenerator(world));
         };
     }
 
-    public static File getAppDir(String s)
-    {
+    public static File getAppDir(String s) {
         String homeDirPath = System.getProperty("user.home", ".");
         File appDir;
 
-        switch(getOs())
-        {
+        switch (getOs()) {
             case linux: // Linux
             case solaris: // Solaris
                 appDir = new File(homeDirPath, '.' + s + '/');
                 break;
             case windows: // Windows
                 String s2 = System.getenv("APPDATA");
-                if(s2 != null)
-                {
+                if (s2 != null) {
                     appDir = new File(s2, "." + s + '/');
-                }
-                else
-                {
+                } else {
                     appDir = new File(homeDirPath, '.' + s + '/');
                 }
                 break;
